summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_common.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-06-07 13:53:14 +0200
committerHolger Levsen <holger@layer-acht.org>2015-06-07 13:53:14 +0200
commitdc559d219b5119e2b3e2cacfcda0c9ee77c6c3df (patch)
tree049cf54dd767c193810fd118c6dcb209dea58ef0 /bin/reproducible_common.sh
parent118d149171d470070405cf18a27485d819a65111 (diff)
downloadjenkins.debian.net-dc559d219b5119e2b3e2cacfcda0c9ee77c6c3df.tar.xz
reproducible coreboot: improve layout, fix irc notification
Diffstat (limited to 'bin/reproducible_common.sh')
-rwxr-xr-xbin/reproducible_common.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/reproducible_common.sh b/bin/reproducible_common.sh
index 7e89a028..b7400adb 100755
--- a/bin/reproducible_common.sh
+++ b/bin/reproducible_common.sh
@@ -360,3 +360,8 @@ print_out_duration() {
echo "$(date) - total duration: ${HOUR}h ${MIN}m ${SEC}s." | tee -a ${RBUILDLOG}
}
+irc_message() {
+ local MESSAGE="$@"
+ kgb-client --conf /srv/jenkins/kgb/debian-reproducible.conf --relay-msg "$MESSAGE" || true # don't fail the whole job
+}
+